terraform {
  backend "s3" {
    bucket         = "adyxax-tofu-states"
    dynamodb_table = "tofu-states"
    key            = "repositories/${local.name}"
    profile        = "core"
    region         = "eu-west-3"
  }
  required_providers {
    aws = {
      source  = "hashicorp/aws"
      version = "5.91.0"
    }
  }
}

provider "aws" {
  for_each = toset(["core", "root", "tests"])

  alias = "all"
  default_tags { tags = { "managed-by" = "tofu" } }
  profile = each.key
  region  = "eu-west-3"
}
